EEK! Help!

This is an archive of the phpBB 2.0.x support forum. Support for phpBB2 has now ended.
Forum rules
Following phpBB2's EoL, this forum is now archived for reference purposes only.
Please see the following announcement for more information: viewtopic.php?f=14&t=1385785
Locked
User avatar
milkboy31
Registered User
Posts: 422
Joined: Tue Aug 09, 2005 2:44 pm

EEK! Help!

Post by milkboy31 »

did the code changes for .18 from .17... used easy mod... have a heavily modded board. Get this error now...whenever you try to read a post.
Parse error: parse error, unexpected T_STRING, expecting ')' in /home/deathmon/public_html/phpbb/viewtopic.php on line 1197


I've gone in and looked at the mod code, and line 1197 of that file... the mod code never touches that line! What gives?

computersOC
Registered User
Posts: 2528
Joined: Thu Dec 04, 2003 6:21 am
Location: New York
Contact:

Post by computersOC »

Re-mod that file. If you backed up before you upgraded just re-add the 2.0.17-.18 update to that file (making another backup before doing this).
http://www.computersOC.com - overclocking, P2P, broadband tweaks, ISP forums, more... Computer Building Help -- Overclocking Guide

Want us to install you a phpBB board or update your current one? Want mods/anti-spam mods installed? Moving to a new host? Check us out here.

User avatar
milkboy31
Registered User
Posts: 422
Joined: Tue Aug 09, 2005 2:44 pm

Post by milkboy31 »

I did... and here's the kicker... I can copy the OLD file (.17) back into place... and it gives the same error!

User avatar
milkboy31
Registered User
Posts: 422
Joined: Tue Aug 09, 2005 2:44 pm

Post by milkboy31 »

so I just decided to forget it for now and I pulled my site's backup to get me back online....

HOWEVER...

my board still is thinking it is 2.0.18 since I ran the "Update_to_latest.php" file.... and it changed my database. I don't want to restore my database or I'll lose a day's worth of posts... is there any other way I can remove the changes that the update made to my database and de-increment my version accordingly?

Does it hurt to leave the database updated without the code in place to use it? I mean... obviously I don't get the benefit of the .18 updates... but is the database fine still?

Taipo
Registered User
Posts: 174
Joined: Fri Jan 07, 2005 9:25 pm
Contact:

Post by Taipo »

Since there are quite a few edits to viewtopic.php it would pay to take a look thru the changes you made to viewtopic.php and make sure you didnt miss a close bracket somewhere.

who_cares
Registered User
Posts: 5106
Joined: Fri Jan 14, 2005 11:04 pm
Location: ATL
Contact:

Post by who_cares »

milkboy31 wrote: I did... and here's the kicker... I can copy the OLD file (.17) back into place... and it gives the same error!

then it's possible you missed a code change in another file.
what MOD's do you have installed?

User avatar
Lumpy Burgertushie
Registered User
Posts: 67381
Joined: Mon May 02, 2005 3:11 am
Contact:

Post by Lumpy Burgertushie »

leaving the database as it is , will be fine. when you get the files updated correctly, then you won't need to update the database at that time.


robert
I'm baaaaaccckkkk. still doing work on donation basis. PM your needs.

Premium phpBB 3.3 Styles by PlanetStyles.net

If nobody is in the forest, does a tree really fall?

User avatar
milkboy31
Registered User
Posts: 422
Joined: Tue Aug 09, 2005 2:44 pm

Post by milkboy31 »

thanks Robert....

As far as what mods.... heh.... a lot. I couldn't even honestly tell you which ones without quite a bit of looking into it. I'm sure one of them is the cause for my heartache right now. ;-)

Locked

Return to “2.0.x Support Forum”